~bulldog98/kubuntu-packaging/libkipi

« back to all changes in this revision

Viewing changes to debian/control

  • Committer: Rohan Garg
  • Date: 2011-06-26 17:24:56 UTC
  • Revision ID: rohangarg@kubuntu.org-20110626172456-cs0fssbci5j5qf5u
Initial packaging for libkipi

Show diffs side-by-side

added added

removed removed

Lines of Context:
 
1
Source: libkipi
 
2
Priority: optional
 
3
Maintainer: Rohan Garg <rohangarg@kubuntu.org>
 
4
Build-Depends: debhelper (>= 7.0.50~), cmake, pkg-kde-tools (>= 0.12),
 
5
 kdelibs5-dev (>= 4:4.6)
 
6
Standards-Version: 3.9.1
 
7
Section: libs
 
8
Homepage: http://www.kde.org/
 
9
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/libkipi/ubuntu
 
10
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/libkipi/ubuntu
 
11
 
 
12
Package: libkipi-dev
 
13
Section: libdevel
 
14
Architecture: any
 
15
Depends: libkipi8 (= ${binary:Version}), ${misc:Depends},
 
16
 ${sameVersionDep:kdelibs5-dev:libkipi8}, pkg-config
 
17
Conflicts: libkipi0-dev, libkipi5-dev, libkipi6-dev, libkipi7-dev
 
18
Description: library for apps that want to use kipi-plugins (development version)
 
19
 Libkipi is a library
 
20
 .
 
21
  o that contains common routines and widget used by kipi-plugins
 
22
  o to ease implementation of the kipi-plugins interface in an application
 
23
    that wants to use kipi-plugins
 
24
 .
 
25
 This pkg contains development files and documentation for libkipi library.
 
26
 
 
27
Package: libkipi8
 
28
Section: libs
 
29
Architecture: any
 
30
Depends: ${shlibs:Depends}, ${misc:Depends}
 
31
Description: library for apps that want to use kipi-plugins (runtime version)
 
32
 Libkipi is a library
 
33
 .
 
34
  o that contains common routines and widget used by kipi-plugins
 
35
  o to ease implementation of the kipi-plugins interface in an application
 
36
    that wants to use kipi-plugins
 
37
 
 
38
Package: libkipi-data
 
39
Section: libs
 
40
Architecture: all
 
41
Depends: ${misc:Depends}
 
42
Replaces: libkipi0, libkdcraw5, libkipi5, libkipi6, kdegraphics-libs-data (<= 4.6.80)
 
43
Breaks: libkipi0, libkipi5, libkipi6, kdegraphics-libs-data (<= 4.6.80)
 
44
Description: data files for kipi libraries
 
45
 This package contains data files needed by libraries built from the kipi
 
46
 library.
 
47
 .
 
48
 This package is part of the KDE kipi library.
 
49
 
 
50
Package: libkipi-dbg
 
51
Section: debug
 
52
Architecture: any
 
53
Priority: extra
 
54
Breaks: kdegraphics-dbg (<= 4.6.80)
 
55
Replaces: kdegraphics-dbg (<= 4.6.80)
 
56
Depends: ${misc:Depends}, kde-runtime-dbg, libkipi8 (= ${binary:Version})
 
57
Suggests: libkipi8 (= ${source:Version})
 
58
Description: debugging symbols for the kipi library
 
59
 This package contains debugging files used to investigate problems with
 
60
 libraries included in the KDE kipi module